Subject: Re: [lisp] Comments to draft-rodrigueznatal-lisp-ms-smr-00.txt

From: [email-masked]
Date: Thu, 1 Oct 2015 17:23:39 -0700

Your email (see below) says the main point of the draft is to document the behavior of ODL. If that is truly the main point, why shouldn't it go into the draft.  Generalizing to an SDN usage could mean all sorts of intentions. 

I look forward to discussing this at the WG meeting. 

Dino

> On Sep 30, 2015, at 3:36 PM, Fabio Maino <[email-masked]> wrote:
> 
> Hi Dino, 
> the draft says, right in the abstract, that:  "This extension is intended to be used in some SDN deployments that use LISP as a southbound protocol with (P)ITRs that are compliant with [RFC6830]." I don't think we need to qualify that any further. It clearly states what the scope is without the need to enumerate implementations (that I believe would be quite unusual for a draft). 
> 
> This is a draft marked as experimental  contributed to the LISP WG as part of the conversation on pub-sub. I honestly don't know what the WG will decide to do with it. I observe that the authors are not proposing this draft as a WG item. 
> 
> If the WG will ever decide to have a WG draft on pub-sub, I hope there will be a section talking about interoperability with xTRs that are RFC6830 compliant. This draft may, or may not, help writing that section. 
> 
> Thanks,
> Fabio
> 
> 
>> On 9/30/15 1:36 PM, Dino Farinacci wrote:
>>> Hi Dino,
>>> thanks for your replay.
>>> 
>>> The main goal of this draft is to document what is implemented in ODL (https://wiki.opendaylight.org/view/OpenDaylight_Lisp_Flow_Mapping:Architecture), with the hope that comments and feedback will help us improve that solution, and facilitate interoperability.
>> The draft does not say that.
>> 
>> If that is the goal to document ODL behavior, can you please state that in the document. And indicate that this solution may not be a permanent one but a draft that simply documents an implementation behavior?
>> 
>>> The driving requirement (as stated upfront in the abstract) is interoperability with EXISTING xTRs, as specified in RFC 6830.
>> But more to the point for SDN environments, where with SDN, there are multiple ways to skin a cat, where ODL is one such way of doing SDN.
>> 
>> Thanks,
>> Dino
>> 
>